MACRO BOOST_PROTO_A(3)

NAME
BOOST_PROTO_A - Generates sequences like A0, A1, ... AN-1 .

SYNOPSIS

// In header: <boost/proto/repeat.hpp>
BOOST_PROTO_A(N)

DESCRIPTION

Intended for use with the BOOST_PROTO_REPEAT() and BOOST_PROTO_LOCAL_ITERATE() macros.

BOOST_PROTO_A(N) generates sequences like:

    A0, A1, ... AN-1